Bug 1124319 - The vhost routing config files are in destination node after gear moved from vhost to mod-rewrite
Summary: The vhost routing config files are in destination node after gear moved from ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 2.2.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Luke Meyer
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 08:45 UTC by Anping Li
Modified: 2017-01-13 22:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-13 22:49:36 UTC


Attachments (Terms of Use)

Description Anping Li 2014-07-29 08:45:59 UTC
Description of problem:
After the gear is moved from vhost plugin node to mod-rewrite plugin node, the vhost config files are placed in mod-rewrite node. since mod-rewrite use DB to record routing info,  the vhost config files are redundant data, and they should be dropped.

Version-Release number of selected component (if applicable):
puddle-2-1-2014-07-28

How reproducible:
Allways

Steps to Reproduce:
1.Setup two nodes, one node is vhost plugin, another is mod-rewrite plugin
2.Move gear from node with vhost to node with mod-rewrite 
3.Check the /var/lib/openshift/.httpd.d

Actual results:
After move, the vhost config files are placed in mod-rewrite node

[root@nd198 .httpd.d]# ls -lah
total 80K
drwxr-x---. 3 root apache 4.0K Jul 29 04:09 .
drwxr-xr-x. 8 root root   4.0K Jul 29 04:09 ..
-rw-r--r--. 1 root root   2.5K Jul 29 04:04 53d7557e79161060b3000156_hanli1dom_0_sp2.conf
drwxr-xr-x. 2 root root   4.0K Jul 29 04:04 53d7557e79161060b3000156_hanli1dom_sp2
-rwxr-x---. 1 root apache  12K Apr 21 15:39 aliases.db
-rw-r-----. 1 root apache    0 Apr 21 15:39 aliases.txt
-rw-r--r--. 1 root root    759 Apr 21 14:44 frontend-mod-rewrite-https-template.erb
-rw-r-----. 1 root apache  243 Jul 29 04:09 geardb.json
-rwxr-x---. 1 root apache  12K Apr 21 15:39 idler.db
-rw-r-----. 1 root apache    0 Apr 21 15:39 idler.txt
-rwxr-x---. 1 root apache  12K Jul 29 04:09 nodes.db
-rw-r-----. 1 root apache  416 Jul 29 04:09 nodes.txt
-rw-r-----. 1 root apache  119 Jul 29 04:09 routes.json
-rwxr-x---. 1 root apache  12K Apr 21 15:39 sts.db
-rw-r-----. 1 root apache    0 Apr 21 15:39 sts.txt


Expected results:
After moved, There isn't vhost config files in mod-rewrite node

Additional info:

Comment 2 Rory Thrasher 2017-01-13 22:49:36 UTC
OpenShift Enterprise v2 has officially reached EoL.  This product is no longer supported and bugs will be closed.

Please look into the replacement enterprise-grade container option, OpenShift Container Platform v3.  https://www.openshift.com/container-platform/

More information can be found here: https://access.redhat.com/support/policy/updates/openshift/


Note You need to log in before you can comment on or make changes to this bug.